
%define mutagen 1.42

Summary:	The official MusicBrainz tagger
Name:		picard
Version:	2.11
Release:	%mkrel 1
License:	GPLv2+
Group:		Sound
Url:		http://musicbrainz.org/doc/MusicBrainz_Picard
Source0:	http://ftp.musicbrainz.org/pub/musicbrainz/picard/%{name}-%{version}.tar.xz
#Patch0:		picard-2.0.4-fix-dependencies.patch
BuildRequires:	python3-devel
BuildRequires:	python3-mutagen
BuildRequires:	lib64discid-devel
BuildRequires:	python3-qt5-devel
BuildRequires:	locales-en

Requires:	python3-mutagen
Requires:	python3-qt5
Requires:	chromaprint
Requires:	python3-discid
Requires:	python3-dateutil
Requires:	flac
Requires:	wavpack
Requires:	mp3gain
Requires:   python3-fasteners
Requires:   python3-yaml
Requires:   python3-pyqt5-sip

%description
MusicBrainz Picard is the official MusicBrainz tagger, written in Python 3.

Picard supports the majority of audio file formats, is capable of using audio
fingerprints (PUIDs), performing CD lookups and disc ID submissions, and it has
excellent Unicode support. Additionally, there are several plugins available
that extend Picard's features.

When tagging files, Picard uses an album-oriented approach. This approach
allows it to utilize the MusicBrainz data as effectively as possible and
correctly tag your music. For more information, see the illustrated quick start
guide to tagging.

Picard is named after Captain Jean-Luc Picard from the TV series Star Trek: The
Next Generation.

%prep
%setup -qn %{name}-%{version}

%autopatch -p1

%build
export LANG=en_US.UTF-8
%{__python3} setup.py config
%py3_build

%install
export LANG=en_US.UTF-8
%py3_install

%find_lang %{name}
%find_lang %{name}-attributes
%find_lang %{name}-countries
%find_lang %{name}-constants
cat %{name}-*.lang >> %name.lang

%files -f %{name}.lang
%{_bindir}/%{name}
%{python3_sitearch}/*
%{_datadir}/applications/org.musicbrainz.Picard.desktop
%{_datadir}/metainfo/org.musicbrainz.Picard.appdata.xml
%{_iconsdir}/hicolor/*/apps/*


%changelog
* Thu Feb 15 2024 tex - 2.11-1pclos2024
- new version

* Mon Aug 21 2023 tex - 2.9.1-1pclos2023
- new version

* Wed Mar 29 2023 tex - 2.8.5-2pclos2023
- rebuild add req python3-pyqt5-sip

* Tue Dec 06 2022 tex - 2.8.5-1pclos2022
- new version
